<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The query-method element is used to specify the method (DB/SR/CM- on the home ) for a finder or  select query.    The method-name element specifies the name of a finder or select  method in the entity bean's implementation class or a select method in  the dependent object class.    Each method-param must be defined for a query-method using the  method-params element.    Used in: query    Example:    Example:   query      description Method finds large orders /description      query-method        method-name findLargeOrders /method-name        method-params  /method-params      /query-method      ejb-ql SELECT ENTITY(o) FROM Order o WHERE o.amount &gt; 1000 /ejb-ql    /query ">
<meta name="KeyWords" content="queryMethod,Role queryMethod,j2ee,model j2ee,">
<a href="../root.html" target=_top><IMG SRC="../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b><IMG SRC="../webviewer/pub.gif"BORDER=0>queryMethod,&nbsp;role&nbsp;for&nbsp;Element&nbsp;<a href="../cat39ee0e7f014d/cat3780e272032d/class399acd9c02df.htm" target="contents_frame">QueryMethod</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;query-method&nbsp;element&nbsp;is&nbsp;used&nbsp;to&nbsp;specify&nbsp;the&nbsp;method&nbsp;(DB/SR/CM-"on&nbsp;the&nbsp;home")&nbsp;for&nbsp;a&nbsp;finder&nbsp;or
<BR>select&nbsp;query.
<BR>
<BR>The&nbsp;method-name&nbsp;element&nbsp;specifies&nbsp;the&nbsp;name&nbsp;of&nbsp;a&nbsp;finder&nbsp;or&nbsp;select
<BR>method&nbsp;in&nbsp;the&nbsp;entity&nbsp;bean's&nbsp;implementation&nbsp;class&nbsp;or&nbsp;a&nbsp;select&nbsp;method&nbsp;in
<BR>the&nbsp;dependent&nbsp;object&nbsp;class.
<BR>
<BR>Each&nbsp;method-param&nbsp;must&nbsp;be&nbsp;defined&nbsp;for&nbsp;a&nbsp;query-method&nbsp;using&nbsp;the
<BR>method-params&nbsp;element.
<BR>
<BR>Used&nbsp;in:&nbsp;query
<BR>
<BR>Example:
<BR>
<BR>Example:
<BR>&lt;query&gt;
<BR>&nbsp;&nbsp;&lt;description&gt;Method&nbsp;finds&nbsp;large&nbsp;orders&lt;/description&gt;
<BR>&nbsp;&nbsp;&lt;query-method&gt;
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&lt;method-name&gt;findLargeOrders&lt;/method-name&gt;
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&lt;method-params&gt;&lt;/method-params&gt;
<BR>&nbsp;&nbsp;&lt;/query-method&gt;
<BR>&nbsp;&nbsp;&lt;ejb-ql&gt;SELECT&nbsp;ENTITY(o)&nbsp;FROM&nbsp;Order&nbsp;o&nbsp;WHERE&nbsp;o.amount&nbsp;&amp;gt;&nbsp;1000&lt;/ejb-ql&gt;
<BR>&lt;/query&gt;</font><BR><BR>
</body>
</html>
